CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   Installing OpenFOAM 1.7.0 on Ubuntu Hardy 64bit (http://www.cfd-online.com/Forums/openfoam/77711-installing-openfoam-1-7-0-ubuntu-hardy-64bit.html)

nuovodna July 1, 2010 08:37

Installing OpenFOAM 1.7.0 on Ubuntu Hardy 64bit
 
Hi, i m tryng to install OF 1.7.0 on Ubuntu Hardy 64bit but Allwmake command gives me some errors compiling a specific module ( i guess on fvMesh/fvMesh.C)

I posted the log file on pastebin

http://pastebin.com/4BTvLbF9

which gcc output : /usr/bin/gcc (Version: 4:4.2.3-1ubuntu6)


Thanks in advance

wyldckat July 1, 2010 09:22

Greetings Emanuele,

Apparently you didn't read properly the instructions:
Quote:

Originally Posted by http://www.openfoam.com/download/source.php
Checking the system
...
In particular your system will need to include a recent version of gcc (check with gcc --version, we recommend gcc-4.4.? but gcc-4.3.? is sufficient). If the installed version is not recent source pack for newer versions are available from http://gcc.gnu.org/.

Ubuntu Hardy gcc 4.2.3 doesn't cut it! ;)

Best regards,
Bruno

nuovodna July 1, 2010 09:24

Thanks Bruno! I m going to upgrade my Hardy to Lucid.


All times are GMT -4. The time now is 02:24.